from __future__ import absolute_import

from django.conf import settings  # noqa
from celery import Celery


app = Celery(settings.PROJ_NAME)

app.config_from_object('django.conf:settings')
app.autodiscover_tasks(lambda: settings.INSTALLED_APPS)
