from __future__ import unicode_literals

from django.forms import widgets


class Select(widgets.Select):

    def __init__(self, *args, **kwargs):
        super(Select, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select': ''})


class SearchableSelect(widgets.Select):

    def __init__(self, *args, **kwargs):
        super(SearchableSelect, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select-search': ''})


class DateInput(widgets.DateInput):

    def __init__(self, *args, **kwargs):
        super(DateInput, self).__init__(*args, **kwargs)
        self.attrs.update({'data-datepicker': ''})


class DateTimeInput(widgets.DateTimeInput):

    def __init__(self, *args, **kwargs):
        super(DateTimeInput, self).__init__(*args, **kwargs)
        self.attrs.update({'data-datetimepicker': ''})
