from __future__ import unicode_literals

from django import template

from evotevotings.management.forms import ManagementAuthenticationForm

register = template.Library()


@register.simple_tag(takes_context=True)
def logged_as_member(context):
    """ """
    if 'user_profile' in context['request'].session:
        return context['request'].session['user_profile'] == \
            ManagementAuthenticationForm.Profiles.ELECTORAL_MEMBER
    return False


@register.simple_tag(takes_context=True)
def logged_as_responsible(context):
    """ """
    if 'user_profile' in context['request'].session:
        return context['request'].session['user_profile'] == \
            ManagementAuthenticationForm.Profiles.INSTITUTIONAL_RESPONSIBLE
    return False
