    # coding: latin-1

import os
from setuptools import setup

# Utility function to read the README file
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

with open("requirements.txt") as f:
    required = f.read().splitlines()

setup(
    name = "evotum",
    version = "0.1",
    author = "André Baptista",
    author_email = "andre.baptista@devisefutures.com",
    description = ("eVotUM Cripto"),
    license = "GNU",
    keywords = "electronic vote crypto",
    url = "packageurl",
    packages=["eVotUM", "eVotUM/Cripto"],
    long_description=read("README"),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Crypto Utilities",
        "License :: GNU General Public License",
    ],
    install_requires=required,
)
