from __future__ import unicode_literals

from django.conf.urls import url

from evoteusers.views import EvoteLogoutView

from .views import LoginView, HomepageView


app_name = "evoteadmin"

urlpatterns = [
    url(
        regex=r'^$',
        view=HomepageView.as_view(),
        name="index"
    ),
    url(
        regex=r'^login/$',
        view=LoginView.as_view(),
        name="login"
    ),
    url(
        regex=r'^logout/$',
        view=EvoteLogoutView.as_view(),
        name="logout"
    ),
]
